Last Comment Bug 349049 - subscribe to feed cancel confirmation dialog (sheet) comes up after parent window closed
: subscribe to feed cancel confirmation dialog (sheet) comes up after parent wi...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Feed Reader (show other bugs)
: unspecified
: All All
: -- minor (vote)
: Thunderbird 24.0
Assigned To: alta88
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 12:10 PDT by Asa Dotzler [:asa]
Modified: 2013-06-25 05:20 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot showing the parentless sheet (257.01 KB, image/png)
2006-08-17 12:11 PDT, Asa Dotzler [:asa]
no flags Details
patch (13.21 KB, patch)
2013-06-09 08:03 PDT, alta88
mkmelin+mozilla: review+
Details | Diff | Splinter Review

Description Asa Dotzler [:asa] 2006-08-17 12:10:08 PDT
A user can close the subscribe to a feed window and end up with a parentless confirmation dialog. 

Steps.
1. attempt to subscribe to a feed we can't parse.
   http://rss.pubsub.com/eb/53/61727204d3efd03cca61749721.xml
2. while the subscribe window is stalled confirming the feed, close the subscribe window.
3. wait a few seconds.

Results: you get a "Are you sure you wish to cancel subscribing" confirmation dialog that's missing it's parent so it's just an immovable floating sheet that's not modal to anything (and so can get easily lost behind the main mail window).

Expected results:  When you attempt to close the subscribe window, you should get a window modal confirmation dialog (sheet) first and only after selecting "Yes", should the subscribe window be torn down.  Selecting "No" should return you to the subscribe window.
Comment 1 Asa Dotzler [:asa] 2006-08-17 12:11:07 PDT
Created attachment 234265 [details]
screenshot showing the parentless sheet

This is tested with today's UB Thunderbird 2 build on an Intel Mac.
Comment 2 alta88 2013-04-29 13:05:12 PDT
the code doesn't even have anything in place to actually cancel either, so it's a false dialog.
Comment 3 alta88 2013-06-09 08:03:03 PDT
Created attachment 760209 [details] [diff] [review]
patch


fix the premature dialog close and make cancel work.
Comment 4 Magnus Melin 2013-06-09 13:05:32 PDT
Comment on attachment 760209 [details] [diff] [review]
patch

Review of attachment 760209 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, thx. r=mkmelin
Comment 5 Ryan VanderMeulen [:RyanVM] 2013-06-10 05:15:03 PDT
https://hg.mozilla.org/comm-central/rev/c1f0796a0baa

Note You need to log in before you can comment on or make changes to this bug.